Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019509
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2012-01-17 13:412012-01-30 13:49
ReporterioritzCiaView Statuspublic 
Assigned Tojecharri 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionf606e9e4b8be
ProjectionnoneETAnoneTarget Version3.0MP8
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_22
OS VersionUbuntu 10.04Database version8.4Ant version1.7.1
Product VersionSCM revision 
Review Assigned To
Web browserMozilla Firefox
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019509: G/L Journal's currency field in lines should be readonly.

DescriptionThe field curency in the lines of a G/l Journal should be readonly. Those currencies must be the same than the one in the header and cannot be different one from each other. Due to that it does not have sense to be able to change them and it may lead to think that it is a posible action.
Steps To Reproduce- Go to G/L Journal and create a new one.
- Create a Header with currency EUR.
- Create two lines:
 · First line:
 - Account Combination: 0-10000--.
 - Currency: EUR.
 - Debit: 800.
 · Second line:
 - Account Combination: 0-17100--.
 - Currency: USD.
 - Debit: 1000.
It should not be posible to enter the USD line.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00195942.50MP39 closedjecharri G/L Journal's currency field in lines should be readonly. 

-  Notes
(0044576)
hgbot (developer)
2012-01-25 18:00

Repository: erp/devel/pi
Changeset: f606e9e4b8beaa961006fb7b92ebb966f92b1e0a
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Jan 25 17:59:07 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f606e9e4b8beaa961006fb7b92ebb966f92b1e0a [^]

Fixes issue 19509: G/L Journal's currency field in lines should be readonly

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0044661)
hudsonbot (developer)
2012-01-28 04:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8e16ef45b30c [^]

Maturity status: Test
(0044701)
ioritzCia (developer)
2012-01-30 13:49

Verified.

- Issue History
Date Modified Username Field Change
2012-01-17 13:41 ioritzCia New Issue
2012-01-17 13:41 ioritzCia Assigned To => jonalegriaesarte
2012-01-17 13:41 ioritzCia Web browser => Mozilla Firefox
2012-01-17 13:41 ioritzCia Modules => Core
2012-01-17 13:46 ioritzCia Issue Monitored: networkb
2012-01-17 13:47 ioritzCia Web browser Mozilla Firefox => Mozilla Firefox
2012-01-17 13:47 ioritzCia Target Version => 3.0MP8
2012-01-25 09:24 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2012-01-25 18:00 hgbot Checkin
2012-01-25 18:00 hgbot Note Added: 0044576
2012-01-25 18:01 hgbot Status new => resolved
2012-01-25 18:01 hgbot Resolution open => fixed
2012-01-25 18:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f606e9e4b8beaa961006fb7b92ebb966f92b1e0a [^]
2012-01-28 04:10 hudsonbot Checkin
2012-01-28 04:10 hudsonbot Note Added: 0044661
2012-01-30 13:48 ioritzCia Status resolved => new
2012-01-30 13:48 ioritzCia Resolution fixed => open
2012-01-30 13:48 ioritzCia Status new => scheduled
2012-01-30 13:48 ioritzCia fix_in_branch => pi
2012-01-30 13:48 ioritzCia Status scheduled => resolved
2012-01-30 13:48 ioritzCia Resolution open => fixed
2012-01-30 13:49 ioritzCia Note Added: 0044701
2012-01-30 13:49 ioritzCia Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker